List a project's builds
List the builds of a project, most recent first. Results are paginated. Use `search` to match builds by name, branch or commit, and `distinctName` to return only the latest build per name and commit.
List the builds of a project, most recent first. Results are paginated. Use search to match builds by name, branch or commit, and distinctName to return only the latest build per name and commit.
Authenticate as a project with a project token.
Send it as a bearer token in the Authorization header:
Authorization: Bearer <project-token>You can find your project token in your Argos project settings. Project tokens are used by CI and the SDK to create builds and deployments.
In: header
Path Parameters
1 <= length1 <= lengthQuery Parameters
Number of items per page (max 100)
Page number
1 <= lengthSHA1 hash
^[0-9a-f]{40}$Search builds by name, branch (substring) or commit (prefix).
1 <= lengthOnly return the latest builds created, unique by name and commit.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/string/string/builds"{ "pageInfo": { "total": 0, "page": 0, "perPage": 0 }, "results": [ { "id": "string", "number": 1, "head": { "sha": "string", "branch": "string" }, "base": { "sha": "string", "branch": "string" }, "status": "accepted", "conclusion": "no-changes", "stats": { "added": 0, "removed": 0, "unchanged": 0, "changed": 0, "ignored": 0, "failure": 0, "retryFailure": 0, "total": 0 }, "metadata": { "testReport": { "status": "passed", "stats": { "startTime": "string", "duration": 0 } } }, "url": "http://example.com", "notification": { "description": "string", "context": "string", "github": { "state": "pending" }, "gitlab": { "state": "pending" }, "url": "http://example.com" } } ]}